<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Sylph::Object Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="classes.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="classes.html"><span>Class&nbsp;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="namespace_sylph.html">Sylph</a>::<a class="el" href="class_sylph_1_1_object.html">Object</a>
  </div>
</div>
<div class="contents">
<h1>Sylph::Object Class Reference</h1><!-- doxytag: class="Sylph::Object" -->The root of all classes.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="_object_8h-source.html">Sylph/Core/Object.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Sylph::Object:</div>
<div class="dynsection">
<p><center><img src="class_sylph_1_1_object__inherit__graph.png" border="0" usemap="#_sylph_1_1_object__inherit__map" alt="Inheritance graph"></center>
<map name="_sylph_1_1_object__inherit__map">
<area shape="rect" id="node3" href="class_sylph_1_1_array.html" title="Sylph::Array\&lt; byte \&gt;" alt="" coords="259,5,421,35"><area shape="rect" id="node5" href="class_sylph_1_1_array.html" title="Sylph::Array\&lt; EntryPtr \&gt;" alt="" coords="245,59,435,88"><area shape="rect" id="node7" href="class_sylph_1_1_array.html" title="Sylph::Array\&lt; uchar \&gt;" alt="" coords="256,112,424,141"><area shape="rect" id="node9" href="class_sylph_1_1_forward_iterator.html" title="Sylph::ForwardIterator\&lt; Entry, iterator \&gt;" alt="" coords="191,165,489,195"><area shape="rect" id="node11" href="class_sylph_1_1_forward_iterator.html" title="Sylph::ForwardIterator\&lt; String, iterator \&gt;" alt="" coords="189,219,491,248"><area shape="rect" id="node15" href="class_sylph_1_1_forward_iterator.html" title="Sylph::ForwardIterator\&lt; T, I \&gt;" alt="" coords="229,272,451,301"><area shape="rect" id="node22" href="class_sylph_1_1_forward_iterator.html" title="Sylph::ForwardIterator\&lt; T, iterator \&gt;" alt="" coords="205,325,475,355"><area shape="rect" id="node30" href="class_sylph_1_1_any.html" title="Wrapper class for any kind of class." alt="" coords="295,379,385,408"><area shape="rect" id="node32" href="class_sylph_1_1_application.html" title="Class representing an application." alt="" coords="271,432,409,461"><area shape="rect" id="node36" href="class_sylph_1_1_array.html" title="Array provides a safe array." alt="" coords="271,485,409,515"><area shape="rect" id="node38" href="class_sylph_1_1_file.html" title="Sylph::File" alt="" coords="296,539,384,568"><area shape="rect" id="node41" href="class_sylph_1_1_hash_map.html" title="Sylph::HashMap\&lt; key_, value_, hash_, equals_ \&gt;" alt="" coords="168,592,512,621"><area shape="rect" id="node43" href="class_sylph_1_1_pointer_manager.html" title="Sylph::PointerManager" alt="" coords="253,645,427,675"><area shape="rect" id="node45" href="class_sylph_1_1_string.html" title="The String class represents character strings." alt="" coords="288,699,392,728"><area shape="rect" id="node47" href="class_sylph_1_1_string_buffer.html" title="Sylph::StringBuffer" alt="" coords="267,752,413,781"><area shape="rect" id="node49" href="class_sylph_1_1_sylph_iterator.html" title="SylphIterator provides a easier&#45;to&#45;use wrapper around STL iterators." alt="" coords="236,805,444,835"><area shape="rect" id="node51" href="class_sylph_1_1_vector.html" title="Sylph::Vector\&lt; T \&gt;" alt="" coords="265,859,415,888"><area shape="rect" id="node13" href="class_sylph_1_1_bidirectional_iterator.html" title="Sylph::BidirectionalIterator\&lt; String, iterator \&gt;" alt="" coords="561,219,892,248"><area shape="rect" id="node17" href="class_sylph_1_1_bidirectional_iterator.html" title="Sylph::BidirectionalIterator\&lt; T, I \&gt;" alt="" coords="601,272,852,301"><area shape="rect" id="node19" href="class_sylph_1_1_random_access_iterator.html" title="Sylph::RandomAccessIterator\&lt; T, I \&gt;" alt="" coords="965,272,1237,301"><area shape="rect" id="node24" href="class_sylph_1_1_bidirectional_iterator.html" title="Sylph::BidirectionalIterator\&lt; T, iterator \&gt;" alt="" coords="577,325,876,355"><area shape="rect" id="node26" href="class_sylph_1_1_random_access_iterator.html" title="Sylph::RandomAccessIterator\&lt; T, iterator \&gt;" alt="" coords="941,325,1261,355"><area shape="rect" id="node28" href="class_sylph_1_1_array_1_1iterator.html" title="Sylph::Array\&lt; T \&gt;::Array::iterator" alt="" coords="1311,325,1556,355"><area shape="rect" id="node34" href="class_sylph_1_1_application_self.html" title="An Application representing the currently running application." alt="" coords="645,432,808,461"></map>
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
The root of all classes. 
<p>
This class contains the overloaded new and delete operators that use the builtin garbage collection. (Almost) all classes in LibSylph inherit from this class. If you want your class to communicate with certain LibSylph features, or just if you want to let LibSylph's garbage collector manage dynamic allocation of your class, you should derive from <a class="el" href="class_sylph_1_1_object.html" title="The root of all classes.">Object</a>.<p>
Note that arrays of Objects are <b>not</b> garbage collected. Instead, use <a class="el" href="class_sylph_1_1_array.html" title="Array provides a safe array.">Sylph::Array</a> if you want a garbage collected, safe <a class="el" href="class_sylph_1_1_array.html" title="Array provides a safe array.">Array</a>. </div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
